/*
Theme Name: HitMag Child
Theme URI: http://themezhut.com/themes/hitmag/
Template: hitmag
Author: ThemezHut
Author URI: http://themezhut.com
Description: HitMag is a stylish and powerful theme crafted for magazines, newspapers or personal blogs. HitMag comes with a handful of options to customize your site the way you want. Free version has included a magazine homepage layout, 4 different style blog listing layouts and main color options. Not only that it comes with so many handful of features like author details box, Related posts after articles and control post metadata. All those features and options ensures that HitMag is not just another free WordPress theme but a powerful theme that fulfills all of the basic needs. See all the theme information at https://themezhut.com/themes/hitmag/
Tags: grid-layout,right-sidebar,two-columns,custom-logo,custom-background,custom-menu,editor-style,featured-images,footer-widgets,full-width-template,theme-options,threaded-comments,translation-ready,news,blog,e-commerce,rtl-language-support
Version: 1.4.4.1772792137
Updated: 2026-03-06 15:45:37

*/

 .widget-title {  
    line-height: 35px;
}
.hmb-post .cat-links {
   display:none !important;
}
.hm-container.hticker {
margin-top:60px !important;
}

.hmb-entry-title {
font-size: 1rem;
}
.hm-container {
  padding: 0 15px !important;
}

/*slider style*/
.widget .hmb-entry-summary ul, .widget-area ul {
    list-style: none !important;
    padding-left:20px;
padding-right:20px;
}


/* Custom CSS for 3-column Magazine Bottom Widgets */
.hitmag-magazine-bottom-widgets {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -15px;
}

.hitmag-magazine-bottom-widgets .widget {
    width: 33.333333% !important;
    padding: 0 15px;
    box-sizing: border-box;
}

.hitmag-magazine-bottom-widgets .widget-title {
display:none !important;
}

.site-header {
  margin: 0 0 15px !important;
}

@media (max-width: 768px) {
    .hitmag-magazine-bottom-widgets .widget {
        width: 100% !important;
    }

.hm-container.hticker {
margin-top:20px !important;
}
.site-header {
  margin: 0 0 15px !important;
}
.n-title {
font-size:16px !important;
}
.tag-name {
font-size:9px !important;
}
.auth-name {
font-size:13px !important;
}
}

.hasimg.ncs-slide-headline .hmb-entry-title a, .hasimg.ncs-slide-headline .ncs-meta {
    color: #fff;
}

.noimg.ncs-slide-headline .hmb-entry-title a {
    color: #000;
}

.m-content ul {
margin: 0px !important;
}

/*border animation*/
/*
.dashed-border-loader {
  position: relative;
}

.dashed-border-loader::before,
.dashed-border-loader::after {
  content: "";
  position: absolute;
  top: 0;
  height: 100%;
  width: 10px;
  pointer-events: none;
  z-index: 2;
  background-image: repeating-linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0.95) 0px,
    rgba(255, 255, 255, 0.95) 5px,
    transparent 5px,
    transparent 24px
  );
  background-size: 100% 24px;
  animation: dashedBorderMove 2s linear infinite;
}

.dashed-border-loader::before {
  left: -10px;
}

.dashed-border-loader::after {
  right: -10px;
}

@keyframes dashedBorderMove {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 0 24px;
  }
}*/

/*
.dashed-border-loader {
  position: relative;
  overflow: hidden;
}

.dashed-border-loader::before,
.dashed-border-loader::after {
  content: "";
  position: absolute;
  top: 0;
  height: 100%;
  width: 10px;
  pointer-events: none;
  z-index: 2;
  background: linear-gradient(
    to bottom,
    transparent 0%,
    rgba(92, 57, 0, 0.35) 20%,
    rgba(140, 86, 0, 0.65) 35%,
    rgba(231, 153, 19, 1) 50%,
    rgba(140, 86, 0, 0.65) 65%,
    rgba(92, 57, 0, 0.35) 80%,
    transparent 100%
  );
  background-size: 100% 140px;
  background-repeat: repeat-y;
  animation: dashedBorderMove 1.2s linear infinite;
}

.dashed-border-loader::before {
  left: -10px;
}

.dashed-border-loader::after {
  right: -10px;
}

@keyframes dashedBorderMove {
  0% {
    background-position: 0 -140px;
  }
  100% {
    background-position: 0 140px;
  }
}
*/


@property --angle {
  syntax: '<angle>';
  inherits: true;
  initial-value: 0deg;
}

.dashed-border-loader {
  --angle: 0deg;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  animation: rotate-gradient 10s linear infinite;
}

@keyframes rotate-gradient {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}


